complexType "ClearingEligibility"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 24 elements
Defined: | globally in fpml-clearing-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, parentCorrelationId?, correlationId, sequenceNumber?, onBehalfOf?, ((originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent | partyTradeIdentifier)?, eligibleForClearing, clearingRequirements*, party+, account*
</...>

Content Model Elements (24):

  account, additionalEvent, amendment, change (defined in Events.model group), clearingRequirements, correlationId, deClear, eligibleForClearing, header (defined in ResponseMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), | optionExercise, optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), partyTradeIdentifier (in clearingEligibility), sequenceNumber (defined in Sequence.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), validation, withdrawal

All Direct / Indirect Based Elements (1):

  clearingEligibility

Known Usage Locations

- As direct type of elements (1):
  clearingEligibility

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) ClearingEligibility

XML Source (see within schema source)

<xsd:complexType name="ClearingEligibility"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:group ref="Events.model"/> <xsd:element name="partyTradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:element name="eligibleForClearing" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="clearingRequirements" type="ClearingRequirements"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/24)
clearingRequirements

  Type: | ClearingRequirements, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="clearingRequirements" type="ClearingRequirements"/>

eligibleForClearing

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="eligibleForClearing" type="xsd:boolean"/>

partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.